summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJoey Hess <joey@kitenet.net>2011-07-16 16:08:16 -0400
committerJoey Hess <joey@kitenet.net>2011-07-16 16:08:16 -0400
commitedbe1cf7d625f9cc3db5c266db4845592e588569 (patch)
treece1248f47b21b8c2b80b42c35c8b3f452039a918
parent4325766ab46b5f95a9ac2aabf1cf75d9417eb734 (diff)
dh: In v9, do not enable any python support commands.
dh_pysupport has started emitting a deprecation warning, which is very annoying since it clutters every build that uses dh -- even builds where it doesn't do anything. Since there is not just a dh_python2, but also a dh_python3 waiting in the wings, this is clearly too volatile a situation for dh to try to support further. I considered making dh_python detect and run the right dh_python[23] helper -- a python helper helper as it were -- but 70-odd packages still use that command.
-rw-r--r--debhelper.pod4
-rw-r--r--debian/changelog1
-rwxr-xr-xdh15
3 files changed, 14 insertions, 6 deletions
diff --git a/debhelper.pod b/debhelper.pod
index 8118ec9..2c7d62d 100644
--- a/debhelper.pod
+++ b/debhelper.pod
@@ -561,6 +561,10 @@ to manually define the dependencies between targets there.
B<dh_auto_configure> does not include the source package name
in --libexecdir when using autoconf.
+=item -
+
+B<dh> does not default to enabling --with=python-support
+
=back
=back
diff --git a/debian/changelog b/debian/changelog
index e7e43b0..f6f6a19 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,7 @@
debhelper (8.9.1) UNRELEASED; urgency=low
* Typo fixes. Closes: #632662
+ * dh: In v9, do not enable any python support commands.
-- Joey Hess <joeyh@debian.org> Mon, 04 Jul 2011 12:16:48 -0400
diff --git a/dh b/dh
index f4b23a1..130d647 100755
--- a/dh
+++ b/dh
@@ -162,12 +162,13 @@ after a particular debhelper command is run.
dh_fixperms
chmod 4755 debian/foo/usr/bin/foo
-If your package is a Python package, B<dh> will use B<dh_pysupport> by
-default. This is how to use B<dh_pycentral> instead.
+Python tools are not run by dh by default, due to the continual change
+in that area. (Before compatability level v9, dh does run B<dh_pysupport>.)
+Here is how to use B<dh_python2>.
#!/usr/bin/make -f
%:
- dh $@ --with python-central
+ dh $@ --with python2
If your package uses autotools and you want to freshen F<config.sub> and
F<config.guess> with newer versions from the B<autotools-dev> package
@@ -291,9 +292,11 @@ might suggest, is subject to change at any time.
# Stash this away before init modifies it.
my @ARGV_orig=@ARGV;
-# python-support is enabled by default, at least for now
-# (and comes first so python-central loads later and can disable it).
-unshift @ARGV, "--with=python-support";
+if (compat(8)) {
+ # python-support was enabled by default before v9.
+ # (and comes first so python-central loads later and can disable it).
+ unshift @ARGV, "--with=python-support";
+}
init(options => {
"until=s" => \$dh{UNTIL},